MMENCODE(1L)

NAME
mmencode - Translate to and from mail-oriented encoding formats

SYNOPSIS
mmencode [ -ubq ] [ -o outputfile ] [ inputfile ]

DESCRIPTION
The mmencode program simply converts a byte stream into (or out of) one of the standard mail encoding formats defined by MIME, the proposed standard for internet multimedia mail formats. Such an encoding is necessary because binary data cannot be sent through the mail. The encodings understood by mmencode are preferable to the use of the uuencode(1) and uudecode(1) programs, for use in mail, in several respects that were important to the authors of MIME.

By default, mmencode reads standard input, and sends a ``base64'' encoded version of the inputfile to standard output. If no inputfile is specified, then the standard input is processed.

The following options are available.

-b  Tells mmencode to process ``base64'' encoding (which is the default).

-q  Tells mmencode to process ``quoted-printable'' encoding instead of ``base64''.

-u  Tells mmencode to decode the input, rather than encode it.

-o  Output will be sent to outputfile instead of the standard output.

RATIONALE
mmencode is intended to be a replacement for uuencode for mail and news use. The reason is simple: uuencode doesn't work very well in a number of circumstances and ways. In particular, uuencode uses characters that don't translate well across all mail gateways (particularly ASCII <-> EBCDIC gateways). Also, uuencode is not standard -- there are several variants floating around, encoding and decoding things in different and incompatible ways, with no ``standard'' on which to base an implementation. Finally, uuencode does not generally work well in a pipe, although some variants have been modified to do so. mmencode implements the encodings which were defined for MIME as uuencode replacements, and should be considerably more robust for email use.

SEE ALSO
metamail(1), uuencode(1), uudecode(1)

BUGS
This program is derived from the mmencode provided in the metamail package. That package also links this program to the name mimencode. The -p option, which is provided in the metamail implementation, is accepted as a noop.

COPYRIGHT
Copyright (c) 1991 Bell Communications Research, Inc. (Bellcore)

Permission to use, copy, modify, and distribute this material for any purpose and without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies, and that the name of Bellcore not be used in advertising or publicity pertaining to this material without the specific, prior written permission of an authorized representative of Bellcore. BELLCORE MAKES NO REPRESENTATIONS ABOUT THE ACCURACY OR SUITABILITY OF THIS MATERIAL FOR ANY PURPOSE. IT IS PROVIDED "AS IS", WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES.

AUTHOR
Nathaniel S. Borenstein